function bullet_load()
  bullet = {}
  bullet.img = {}
  bullet.img[1] = love.graphics.newImage('bullet1.png')
  bullet.img[2] = love.graphics.newImage('bullet2.png')
  bullet.img[3] = love.graphics.newImage('bullet3.png')
  bullet.img[4] = love.graphics.newImage('bullet4.png')
  bullet.img[5] = love.graphics.newImage('bullet5.png')
  bullet.img[6] = love.graphics.newImage('bullet6.png')
  bullet.spawned = {}
  function bullet_spawn(x,y,xvel,yvel,kind)
    table.insert(bullet.spawned, {x=x,y=y,xvel=xvel,yvel=yvel,img=kind,scale=1})
  end
end
function bullet_update(dt)
  for i,b in ipairs(bullet.spawned) do
	b.x = b.x + b.xvel*dt
	b.y = b.y + b.yvel*dt
	if b.y < gui.height or b.y>love.graphics.getHeight() then
		table.remove(bullet.spawned, i)
	end
	local bimg = bullet.img[b.img]
	for mi,m in ipairs(minion.spawned) do
		--if b.y+bullet.img[b.img]:getHeight() > m.y and b.x>m.x and b.x+bullet.img[b.img]:getWidth() < m.x+(m.img:getWidth()*enemy.scale) and --[[b.y < m.y+(m.img:getHeight()*minion.scale)]] b.img > 3 then
		if checkCol(b,m,bimg) and b.img > 3 then
		  m.hp = m.hp - 1
		  table.remove(bullet.spawned, i)
		 end
	end
	for ei,e in ipairs(enemy.spawned) do
	  --if b.y < e.y+(e.img:getHeight()*enemy.scale) and b.x > e.x and b.x+bullet.img[b.img]:getWidth() < e.x+(e.img:getWidth()*enemy.scale) and b.y+bullet.img[b.img]:getHeight() <= e.y and b.img < 4 then
	    if checkCol(b,e,bimg) and b.img < 4 then
		e.hp = e.hp - (1+b.img)
		table.remove(bullet.spawned, i)
	  end
	end
	if checkCol(b,player,bimg) and b.img > 3 then
		table.remove(bullet.spawned, i)
		player.lives = player.lives - 1
	end
  end
end
function bullet_draw()
  for i,v in ipairs(bullet.spawned) do
    love.graphics.draw(bullet.img[v.img],v.x,v.y)
  end
end